> ## Documentation Index
> Fetch the complete documentation index at: https://flutterwaveinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Transactions

> Fetch the transactions of a payout subaccount



## OpenAPI

````yaml get /payout-subaccounts/{account_reference}/transactions
openapi: 3.0.0
info:
  title: Flutterwave v3
  description: >-
    The Flutterwave for Business(F4B) APIs collection for all v3 endpoints with
    pre-formatted requests and response examples.
  contact: {}
  version: '1.0'
servers:
  - url: https://api.flutterwave.com/v3
    variables: {}
security:
  - bearer: []
tags:
  - name: Charges
    description: >-
      The charge APIs includes several payment collection methods to help you
      collect payments.
  - name: Tokenized Charges
    description: Tokenize your customers' cards with Flutterwave for faster payments
  - name: Preauthorization
    description: Manage preauth attemps on card transactions
  - name: Transactions
    description: Manage transactions, query statuses, logs and fees
  - name: Transfers
    description: Transfers to local and international customers
  - name: Beneficiaries
    description: Manage transfer beneficiaries
  - name: Virtual Cards
    description: Manage Flutterwave virtual cards
  - name: Virtual Account Numbers
    description: Manage virtual accounts
  - name: Collection Subaccounts
    description: Manage Collection Subaccounts
  - name: Payout Subaccounts
    description: Manage Payout Subaccounts
  - name: Subscriptions
    description: Manage user subscriptions
  - name: Payment Plans
    description: Manage Payment Plans
  - name: Bill Payments
    description: Manage Bill Payments
  - name: Banks
    description: Fetch Bank Information
  - name: Misc
    description: >-
      Verify user information like bank verification numbers, card bins, account
      information
  - name: Settlements
    description: Manage your settlements
  - name: Otps
    description: Create and manage one time passwords (OTPs) for your applications
  - name: Chargebacks
    description: Manage Chargebacks
paths:
  /payout-subaccounts/{account_reference}/transactions:
    get:
      tags:
        - Payout Subaccounts
      summary: Fetch Transactions
      description: Fetch the transactions of a payout subaccount
      operationId: FetchTransactions
      parameters:
        - name: account_reference
          in: path
          description: ''
          required: true
          style: simple
          schema:
            type: string
            example: PSAE905F542704932282
        - name: Content-Type
          in: header
          description: ''
          required: true
          style: simple
          schema:
            enum:
              - application/json
            type: string
            example: application/json
      responses:
        '200':
          description: OK
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Tue, 26 Mar 2024 14:59:59 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '404'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.24.0
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth, mid, altmodeauth, cc-admin-token, x-flw-lang
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"194-93qTbVDixaFqFB6hdDwv6Q"
            Strict-Transport-Security:
              content:
                text/plain:
                  schema:
                    type: string
                  example: max-age=31536000; includeSubDomains; preload; always;
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SampleSuccessResponse26'
                  - example:
                      status: success
                      message: Wallet statement retrieved
                      data:
                        page_info:
                          total: 1
                          current_page: 1
                          total_pages: 1
                        transactions:
                          - type: C
                            amount: 100
                            currency: NGN
                            balance_before: 0
                            balance_after: 100
                            reference: FLWRVCNF623008
                            date: '2024-03-26T14:59:35+00:00'
                            remarks: Test balance funding
                            sent_currency: NGN
                            rate_used: 1
                            sent_amount: 100
                            statement_type: available
              example:
                status: success
                message: Wallet statement retrieved
                data:
                  page_info:
                    total: 1
                    current_page: 1
                    total_pages: 1
                  transactions:
                    - type: C
                      amount: 100
                      currency: NGN
                      balance_before: 0
                      balance_after: 100
                      reference: FLWRVCNF623008
                      date: '2024-03-26T14:59:35+00:00'
                      remarks: Test balance funding
                      sent_currency: NGN
                      rate_used: 1
                      sent_amount: 100
                      statement_type: available
        '400':
          description: Bad Request
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Thu, 28 Mar 2024 10:35:36 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '68'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.24.0
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth, mid, altmodeauth, cc-admin-token, x-flw-lang
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"44-Ermz/dFUAuz//fgkhq7Gfg"
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SampleErrorResponse1'
                  - example:
                      status: error
                      message: Invalid Account Reference
                      data: null
              example:
                status: error
                message: Invalid Account Reference
                data: null
      deprecated: false
components:
  schemas:
    SampleSuccessResponse26:
      title: SampleSuccessResponse26
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          $ref: '#/components/schemas/Data59'
      example:
        status: success
        message: Wallet statement retrieved
        data:
          page_info:
            total: 1
            current_page: 1
            total_pages: 1
          transactions:
            - type: C
              amount: 100
              currency: NGN
              balance_before: 0
              balance_after: 100
              reference: FLWRVCNF623008
              date: '2024-03-26T14:59:35+00:00'
              remarks: Test balance funding
              sent_currency: NGN
              rate_used: 1
              sent_amount: 100
              statement_type: available
    SampleErrorResponse1:
      title: SampleErrorResponse1
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          type: string
          nullable: true
      example:
        status: error
        message: >-
          retry_interval is required , retry_amount_variable is required ,
          retry_attempt_variable is required
        data: null
    Data59:
      title: Data59
      required:
        - page_info
        - transactions
      type: object
      properties:
        page_info:
          $ref: '#/components/schemas/PageInfo'
        transactions:
          type: array
          items:
            $ref: '#/components/schemas/Transaction'
          description: ''
      example:
        page_info:
          total: 1
          current_page: 1
          total_pages: 1
        transactions:
          - type: C
            amount: 100
            currency: NGN
            balance_before: 0
            balance_after: 100
            reference: FLWRVCNF623008
            date: '2024-03-26T14:59:35+00:00'
            remarks: Test balance funding
            sent_currency: NGN
            rate_used: 1
            sent_amount: 100
            statement_type: available
    PageInfo:
      title: PageInfo
      required:
        - total
        - current_page
        - total_pages
      type: object
      properties:
        total:
          type: integer
          format: int32
        current_page:
          type: integer
          format: int32
        total_pages:
          type: integer
          format: int32
      example:
        total: 158
        current_page: 1
        total_pages: 16
    Transaction:
      title: Transaction
      required:
        - type
        - amount
        - currency
        - balance_before
        - balance_after
        - reference
        - date
        - remarks
        - sent_currency
        - rate_used
        - sent_amount
        - statement_type
      type: object
      properties:
        type:
          type: string
        amount:
          type: integer
          format: int32
        currency:
          type: string
        balance_before:
          type: integer
          format: int32
        balance_after:
          type: integer
          format: int32
        reference:
          type: string
        date:
          type: string
        remarks:
          type: string
        sent_currency:
          type: string
        rate_used:
          type: integer
          format: int32
        sent_amount:
          type: integer
          format: int32
        statement_type:
          type: string
      example:
        type: C
        amount: 100
        currency: NGN
        balance_before: 0
        balance_after: 100
        reference: FLWRVCNF623008
        date: '2024-03-26T14:59:35+00:00'
        remarks: Test balance funding
        sent_currency: NGN
        rate_used: 1
        sent_amount: 100
        statement_type: available
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````